For the complete documentation index, see llms.txt. This page is also available as Markdown.

General

General business data endpoints.

Business data

get
/businesses

Retrieve information about the current authenticated business account.

Authorizations
api_keystringRequired

Your Cekat API key. Obtain this by calling POST /register or from your Cekat dashboard under Settings → API.

Responses
200

Business data

application/json
successbooleanOptionalExample: true
status_codeintegerOptionalExample: 200
get/businesses
GET /businesses HTTP/1.1
Host: api.cekat.ai
api_key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "status_code": 200,
  "data": {
    "id": "12345",
    "created_at": "2024-02-29 04:52:40.916283+00",
    "name": "business name",
    "email": "business email",
    "phone_num": 88888888,
    "package_type": "free",
    "package_start_date": "2024-09-03 10:51:25.529+00",
    "package_exp_date": "2024-09-15 10:51:25.529+00",
    "is_expired": false,
    "total_used_chat_credit_per_month": 0,
    "chat_credit_topup": 0,
    "total_used_convo": 0,
    "convo_credit_topup": 0,
    "open_api_key": "api_key"
  }
}

Last updated